# Asterisk Project : Asterisk 13 ManagerAction_Filter

Created by wikibot on Aug 08, 2014

# Filter

### Synopsis

Dynamically add filters for the current manager session.

### Description

The filters added are only used for the current session. Once the connection is closed the filters are removed.

This comand requires the system permission because this command can be used to create filters that may bypass filters defined in manager.conf

### Syntax

    Action: Filter
    ActionID: <value>
    Operation: <value>
    Filter: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Operation`
  - `Add` - Add a filter.
- `Filter` - Filters can be whitelist or blacklist
  Example whitelist filter: "Event: Newchannel"
  Example blacklist filter: "!Channel: DAHDI.*"
  This filter option is used to whitelist or blacklist events per user to be reported with regular expressions and are allowed if both the regex matches and the user has read access as defined in manager.conf. Filters are assumed to be for whitelisting unless preceeded by an exclamation point, which marks it as being black. Evaluation of the filters is as follows:

- If no filters are configured all events are reported as normal.
- If there are white filters only: implied black all filter processed first, then white filters.
- If there are black filters only: implied white all filter processed first, then black filters.
- If there are both white and black filters: implied black all filter processed first, then white filters, and lastly black filters.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538